XGL/compiz-vanilla troppo facile per ATi ed NVidia!!

Personalizzazione grafica del sistema: icone, temi, sfondi, suoni, eccetera.
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

XGL/compiz-vanilla troppo facile per ATi ed NVidia!!

Messaggio da nickq »

Questo non è un how-to...
...almeno non uno dei soliti che promettono sfolgoranti effetti e portano inevitabilmente a re-installare l'intero sistema operativo.
Non è una cosa per hackers o programmatori. Non si deve compilare niente. Non si perdono delle ore in configurazioni. Sarà installato semplicemente un XGL funzionante con cui "giocare", soprattutto per chi non usa il PC solo per divertirsi e non vuole incasinare i files di configurazione. Inoltre se qualcosa andasse storto nell'installazione o il risultato finale non fosse gradito, sarà estremamente facile riportare il sistema alle condizioni iniziali.
Credo questo sia un buon compromesso tra un desktop stabile e funzionale ed un desktop con XGL. Se non altro un buon punto di partenza per ulteriori modifiche/abbellimenti.


Ho preso questa sequenza di comandi un po' qui è la dalla rete (c'è anche qualcosa di mio in verità), ma non mi sento di citare tutte le fonti perché si scopiazzano l'una con l'altra spacciando poi gli how-to come creazioni originali, quindi riporto solo quelle degne di nota:
http://wiki.cchtml.com/index.php/Xgl-Compiz-Dapper
http://pollycoke.wordpress.com/2006/05/18/ubuntu-dapper-xgl-compiz/

Il thread si evolve anche grazie alla partecipazione degli utenti. In particolare sento ringraziare mcz, seawolf, feua e Hayabusa per la collaborazione.


Il presupposti sono che stiate usando Ubuntu Dapper (con Gnome), che abbiate abilitato l'accelerazione 3D della scheda video e che abbiate ripristinato i files di configurazione se avete già provato ad installare XGL.
Le righe evidenziate sono scritte apposta per essere copiate ed incollate nella shell o nell'editor.

***ATTENZIONE***
  • Per una maggiore stabilità/leggerezza di compiz e per evitare (si spera) i problemi causati dalle continue modifiche dei tools di configurazione ho scelto di utilizzare la versione "vanilla"! Le mie motivazioni sono meglio spiegate in questi post del blog di Felipe: 1 e 2
  • Proprio a causa di questa scelta non sarà possibile usare il "Compiz Setting Manager" (aka CSM). Le impostazioni potranno essere modificate tramite gconf-editor, il cui funzionamento viene descritto brevemente nella Parte III della procedura.
  • Al momento attuale -16/09/06 09:30- questo thread conta 5 pagine e 64 risposte. Sia avvicina l'inizio dell'anno accademico ed il tempo a disposizione non è più tanto.
    Cercherò comunque di rispondere ai quesiti inediti (sempre che sia in grado di farlo) ma prima di postare, per favore, controllate che non ci sia già una risposta alle vostre domande in quelche post precedente.
    Infine una precisazione: questo thread non è "mio" ma di tutti quelli che sono riusciti ad installare XGL con questi appunti (o ci hanno provato): se leggete un quesito di altri utenti a cui sapete rispondere, fatelo tranquillamente. E' il modo migliore per crescere insieme e far crescere il thread.
  • Ho notato oggi -26/09/06- che questo thread è stato aggiunto tra quelli "evidenziati" nella board. Colgo l'occasione per aggiornare la sezione di troubleshooting ed ufficializzare che non risponderò più (ma parlo solo per me, chiunque altro sarà libero di farlo) a domande riguardanti problemi già riportati in quella sezione.
  • Forse qualcuno s'era già chiesto il motivo di una parte separata dedicata all'installazione di CGWD, ora Emerald. Questo perché i due tools sono un "punto d'incontro" tra compiz vanilla e compiz-quinn (CGWD) o beryl (Emerald). Ora, essendo beryl un progetto separato da compiz, Emerald, per funzionare, necessita di alcuni pacchetti di beryl, che vengono automaticamente installati. Da qui ho pensato due cose:
    • [li]se, per un utente, ciò che più conta è la stabilità del sistema, non installi Emerald. Si fermi alla Parte III e rinunci pure al supporto per i temi mantenendo così un sistema snello.
    • poiché, installato Emerald, il passo per installare l'intero Beryl è molto breve, alla fine degli appunti ho aggiunto le istruzioni anche per la sua installazione. Qualche intraprendente potrà installare sia compiz-vanilla che beryl ed avviarli a turno per notare le differenze tra i due.
    [/li]

***AGGIORNAMENTI***
  • Si può aggiungere il supporto per i temi di CGWD anche con compiz-vanilla!! Le istruzioni sono riportate nella "Parte IV".
  • Ho reso disponibili alcuni screenshots di qualche PC su cui ho installato XGL. Sono alla pagina http://it.geocities.com/nickq0/xgl_ss.html, assieme alle specifiche dei PC, a riprova del fatto che non occorre un hardware troppo potente per far girare discretamente XGL.
  • Aggiunta la sezione "In caso di problemi" per un eventuale troubleshooting.
  • Pare che il pacchetto CGWD non sia più disponibile. Pare anche che sia una cosa temporanea. Per ora evitate semplicemente la "Parte IV".
  • Come a molti è ormai noto è uscito il nuovo decoratore di finestre che rimpiazza CDGW: Emerald. Gli appunti sono stati modificati di conseguenza. Chi ha già avuto eperienze passate con CGWD noterà quanto i due tools si somiglino...
  • 02/10/06: A seguito dell'ordine di un moderatore gli appunti vengono modificati per l'ultima volta. Qui verranno riportate solo le istruzioni per installare compiz-vanilla. In quest'altro thread le istruzioni per Beryl (quindi, per favore, sui vostri problemi relativi a Beryl disquisitene lì). Poiché compiz-vanilla molto probabilmente non subirà ulteriori aggiornamenti e ritengo gli appunti sufficientemente esaustivi alla sua installazione e poiché scrivere degli appunti per Bery non era il mio intento originale, ma solo un "di più" per chi avesse avuto voglia di sperimentarlo, nessuno dei due thread sarà più seguito da me. In bocca al lupo a tutti.l

Procedura:


Parte I: Installazione del software

Si apre una shell e si digita:

Codice: Seleziona tutto

sudo gedit /etc/apt/sources.list
alla fine del file aperto si aggiungono le righe che seguono:

Codice: Seleziona tutto

#compiz Quinn's
deb http://www.beerorkid.com/compiz dapper main
deb http://xgl.compiz.info/ dapper main
deb-src http://xgl.compiz.info/ dapper main
si esce dall'editor salvando il file. Si torna alla shell per digitare i seguenti tre comandi:

Codice: Seleziona tutto

wget http://www.beerorkid.com/compiz/quinn.key.asc -O - | sudo apt-key add -

Codice: Seleziona tutto

sudo apt-get update

Codice: Seleziona tutto

sudo apt-get install xserver-xgl libglitz-glx1 libgl1-mesa compiz-vanilla-gnome
Ora il software è installato.


Parte II: Configurazione

Sempre nella shell:

Codice: Seleziona tutto

sudo gedit /usr/bin/startxgl.sh
nel file (vuoto) che si apre si inseriscono le seguenti righe per le schede ATi:

Codice: Seleziona tutto

Xgl -fullscreen :1 -ac -accel glx:pbuffer -accel xv:pbuffer & sleep 2 && DISPLAY=:1
exec gnome-session
o queste altre, per le schede NVidia:

Codice: Seleziona tutto

Xgl -fullscreen :1 -ac -accel glx:pbuffer -accel xv:pbuffer -accel xv:fbo & sleep 2 && DISPLAY=:1
flexible=true
exec gnome-session
si esce dall'editor salvando il file. Ora di nuovo due comandi alla shell:

Codice: Seleziona tutto

sudo chmod 755 /usr/bin/startxgl.sh

Codice: Seleziona tutto

sudo gedit /usr/share/xsessions/xgl.desktop
nel file (vuoto) che si apre si inseriscono le seguenti righe:

Codice: Seleziona tutto

[Desktop Entry]
Encoding=UTF-8
Name=XGl
Exec=/usr/bin/startxgl.sh
Icon=
Type=Application
si esce dall'editor salvando il file e si può chiudere la shell.
Adesso dal menù Sistema si seleziona Preferenze e poi Sessioni. Nella finestra che si apre si entra nella scheda Avvio programmi e col tasto Aggiungi si inseriscono, una alla volta, queste tre stringhe:

Codice: Seleziona tutto

gnome-window-decorator --sm-disable

Codice: Seleziona tutto

compiz --replace gconf --sm-disable

Codice: Seleziona tutto

xmodmap /usr/share/xmodmap/xmodmap.it
si chiude la finestra e si riavvia il computer.

All'avvio di GDM, nel menù Options, in basso a sinistra, si seleziona Select Session e dalla finestra che si apre XGl e si esegue il log-in.


Parte III: Rifinitura

Si apre una shell (per l'ultima volta) e si digita:

Codice: Seleziona tutto

gconf-editor
la finestra che si apre è quella del programma che gestisce le variabili di alcuni componenti di Gnome, tra i quali Compiz.
Si naviga, all'interno del menù in apps -> compiz -> general -> allscreens -> options e si rimuove il plugin water, perché è un bel po' instabile ed inutile.

Volendo è finita qui, ma ci sono altre variabili degne di nota:
general -> allscrens -> options -> texture_filter                      va impostato su Fast per le schede lente e su Best per quelle più recenti
general -> screen0 -> options -> lighting                                va abilitato per l'illumunazione direzionale sul cubo
plugins -> cube -> screen0 -> options -> in                            va attivato per avere la vista del cubo dall'interno
plugins -> switcher -> screen0 -> options -> saturation          impostazione della sfumatura dello switcher [Alt+ Tab]
plugins -> wobbly -> screen0 -> options -> frection                impostazione dell'effetto gelatina
plugins -> zoom -> screen0 -> options -> filter_linear            migliora l'effetto durante gli zoom

N.B.:
  • Ogni modifica apportata con gconf-editor avrà effetto immediato quindi la si potrà provare subito.
  • Queste sono solo alcune delle variabili che possono essere settate da gconf-editor. Ci si può fare un'idea più completa navigando al'interno dei suoi menù, per ogni variabile è fornita una breve descrizione.

Parte IV: Emerald e supporto per i temi
Sconsiglio di installare Emerald su compiz-vanilla a meno che non si sia favorevoli all'installazione di alcuni pacchetti di Beryl nel sistema.

Per installare emerald:

Codice: Seleziona tutto

 sudo apt-get install emerald
C'è anche un pacchetto contenenti dei temi, da installare sempre con apt:

Codice: Seleziona tutto

emerald-themes
che non è necessario installare!
Adesso si torna nel menù Sistema si seleziona Preferenze e poi Sessioni. Nella finestra che si apre si entra nella scheda Avvio programmi e si modifica la stringa:

Codice: Seleziona tutto

gnome-window-decorator --sm-disable
in:

Codice: Seleziona tutto

emerald --replace
Ora basta terminare la sessione, rieseguire il log-in e nel menù Sistema -> Preferenze sarà apparsa la voce Emerald Theme Manager con al suo interno i temi che sono stati installati.


In caso di problemi:
[Soluzioni ai problemi più frequenti incontrati installando XGL.]

Si da per scontato, in questa sezione, che abbiate seguito alla lettera la procedura descritta, non siate presuntuosi e ricontrollate!  ;)
In generale, la prima causa di problemi è il mancato ripristino dei files di configurazione di gnome (es.: /etc/gdm/gdm.conf-custom) dopo aver seguito altre guide/how-to per XGL.

Parte I: problemi con apt
Se l'output di apt-get riferisce errori o conflitti con i pacchetti di compiz è perché si sta cercando di installare pacchetti compiz-vanilla in un sistema dove sono già installati dei pacchetti compiz-quinn. Per risolvere il problema si usa il comando:

Codice: Seleziona tutto

apt-get --purge remove
seguito dai pacchetti che danno problemi (cioé quelli coi quali i pacchetti da installare sono in conflitto). Rimossi i pacchetti "quinn" dovrebbe essere possibile installare i "vanilla".
Se invece l'errore in output è il seguente:
Il pacchetto cgwd non ha versioni disponibili, ma è nominato da un altro
pacchetto. Questo significa che il pacchetto manca, è diventato obsoleto
o è disponibile solo all'interno di un'altra sorgente
come è già successo appunto per il pacchetto cgwd, può darsi che sia proprio vero ciò che recita l'output (potrebbe comunque trattarsi di una situazione temporanea).

Parte II e III: problemi con l'avvio di XGL
Se nel menù Opzioni -> Sessioni di GDM non compare la voce XGL oppure effettuato il log-in compiz non si avvia correttamente (per esempio,  le finestre sono senza bordi e vengono sovrapposte alla barra superiore di Gnome oppure non si può cambiare workspace nemmeno cliccando col mouse su "Selettore area di lavoro"), è probabile che sia stato commesso un errore seguendo seconda o terza parte.
Se la tastiera si comporta in modo anomalo (per esempio, non funzionano certe combinazioni di tasti) può essere controllata da menù Sistema -> Preferenze -> Tastiera di Gnome. In alternativa si può provare a disabilitare, tramite l'apposito pulsante, l'ultima voce inserita nel menù Sessioni (quella relativa a "xmodmap") dalla Parte III.

XGL non si avvia:
Se, dopo aver selezionato la sessione "XGl" ed effettuato il log-in, il server grafico torna immediatamente a GDM oppure esegue XGL ad una lentezza anomala è probabile che non sia stata abilitata l'accelerazione 3D. Ciò può anche essere stato causato da un aggiornamento del kernel nel quale, in seguito, non sia stato reinstallato il modulo relativo alla scheda grafica.
Per la verifica dell'installazione e del funzionamento dell'accelerazione 3D rimando ai post successivi o alla documentazione relativa alle schede grafiche della pagina http://ubuntuguide.org/wiki/Ubuntu_dapper_it.

Altri problemi:
Sono spariti i pulsanti Arresta e Riavvia dal menù Esci di Gnome: è una cosa comune, almeno finché non ci sarà una miglior integrazione di XGL nel DM.
Con una scheda grafica ATi, nella sessione XGL al comando:

Codice: Seleziona tutto

glxgears
si vedono girare gli ingranaggi  ma si legge in output la stringa:
Xlib:  extension "XFree86-DRI" missing on display ":1.0".
e al comando:

Codice: Seleziona tutto

fgl_glxgears
non si apre la finestra degli ingranaggi e si leggono gli errori nell'output:
Xlib:  extension "XFree86-DRI" missing on display ":1.0".
Error: couldn't get fbconfig
questi "sintomi" non sono la causa di eventuali malfunzionamenti di compiz o XGL: la spegazione è la stessa del problema precedente.
Con una scheda grafica NVidia, se ci sono problemi che non siete riusciti a risolvere finora, provate a seguire le istruzioni di questo link (grazie a feua).

Disinstallazione:
[Proprio non riuscite ad installare XGL? Il cubo vi ha stufati? Volete vedere se dicevo la verità? Ecco la procedura per ripristinare il sistema!]
  • 1. rimuovere le stringhe aggiunte al menù Sessioni di Gnome.
  • 2. eliminare i files creati, comandi:

Codice: Seleziona tutto

sudo rm /usr/bin/startxgl.sh

Codice: Seleziona tutto

sudo rm /usr/share/xsessions/xgl.desktop
  • rimuovere i paccheddi installati, comando:

Codice: Seleziona tutto

sudo apt-get --purge remove xserver-xgl libglitz-glx1 compiz-vanilla emerald beryl*


Ciao a tutti.


nickq
Ultima modifica di nickq il lunedì 2 ottobre 2006, 20:37, modificato 1 volta in totale.
Avatar utente
alexnavarro
Prode Principiante
Messaggi: 68
Iscrizione: sabato 27 maggio 2006, 10:04

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da alexnavarro »

ciao ho seguito il tuo non how-to ma ho riscontrato i seguenti problemi:
giovanni@ubuntu:~$ sudo apt-get install xserver-xgl libglitz-glx1 libgl1-mesa co mpiz-vanilla-gnome
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
xserver-xgl è già alla versione più recente.
libglitz-glx1 è già alla versione più recente.
libgl1-mesa è già alla versione più recente.
compiz-vanilla-gnome è già alla versione più recente.
È consigliabile eseguire 'apt-get -f install' per correggere questi problemi:
I seguenti pacchetti hanno dipendenze non soddisfatte:
  compiz-vanilla-gnome: Dipende: compiz-vanilla (= 0.0.13+cvs20060822) ma non st a per essere installato
E: Dipendenze non soddisfatte. Provare 'apt-get -f install' senza pacchetti (o s pecificare una soluzione).
giovanni@ubuntu:~$ sudo apt-get -f install
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
Correzione delle dipendenze in corso... Fatto
I seguenti pacchetti verranno inoltre installati:
  compiz-vanilla
Pacchetti raccomandati:
  compiz-vanilla-kde
I seguenti pacchetti NUOVI (NEW) saranno installati:
  compiz-vanilla
0 aggiornati, 1 installati, 0 da rimuovere e 1 non aggiornati.
1 non completamente installati o rimossi.
È necessario prendere 0B/283kB di archivi.
Dopo l'estrazione, verranno occupati 1016kB di spazio su disco.
Continuare [S/n]? s
(Lettura del database ... 95153 file e directory attualmente installati.)
Spacchetto compiz-vanilla (da .../compiz-vanilla_0.0.13+cvs20060822_i386.deb) ...
dpkg: errore processando /var/cache/apt/archives/compiz-vanilla_0.0.13+cvs20060822_i386.deb (--unpack):
tentata sovrascrittura di `/usr/bin/compiz', che si trova anche nel pacchetto compiz-core
dpkg-deb: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Sono occorsi degli errori processando:
/var/cache/apt/archives/compiz-vanilla_0.0.13+cvs20060822_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sapresti aiutarmi?
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da nickq »

Questo perché avevi già installato la versione più recente (ed instabile) di compiz.
Allora, ce ne sono due: compiz (quella nuova) e compiz-vanilla (quella stabile).

Per il tuo problema prova in sequenza:

Codice: Seleziona tutto

sudo apt-get -f install
sudo apt-get --purge remove compiz-vanilla-gnome
sudo apt-get --purge remove compiz-vanilla
sudo apt-get --purge remove compiz-core
sudo apt-get --purge remove compiz
sudo apt-get install compiz-vanilla-gnome
dovrebbe andare...


nickq
Avatar utente
alexnavarro
Prode Principiante
Messaggi: 68
Iscrizione: sabato 27 maggio 2006, 10:04

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da alexnavarro »

nickq ha scritto: Questo perché avevi già installato la versione più recente (ed instabile) di compiz.
Allora, ce ne sono due: compiz (quella nuova) e compiz-vanilla (quella stabile).

Per il tuo problema prova in sequenza:

Codice: Seleziona tutto

sudo apt-get -f install
sudo apt-get --purge remove compiz-vanilla-gnome
sudo apt-get --purge remove compiz-vanilla
sudo apt-get --purge remove compiz-core
sudo apt-get --purge remove compiz
sudo apt-get install compiz-vanilla-gnome
effettivamente adesso riesco a scaricare compiz-vanilla-gnome , ma xgl non parte , neanche impostandolo come predifinito all' avvio forse dipende dalla mia sk video "ati radeon xpress 200m"




nickq
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da nickq »

Impostare XGl a predefinito non cambia le cose.
...forse dipende dalla mia sk video "ati radeon xpress 200m"
...non credo, ma stai usando la versione 64 bit?
Subito dopo il log-in vedi una schermata in bianco e nero con una X al posto del cursore o torni semplicemente a gdm?
Avatar utente
alexnavarro
Prode Principiante
Messaggi: 68
Iscrizione: sabato 27 maggio 2006, 10:04

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da alexnavarro »

nickq ha scritto: Impostare XGl a predefinito non cambia le cose.
...forse dipende dalla mia sk video "ati radeon xpress 200m"
...non credo, ma stai usando la versione 64 bit?
Subito dopo il log-in vedi una schermata in bianco e nero con una X al posto del cursore o torni semplicemente a gdm?
[/quot

no 32 bit, si vedo la schermata in b/n
mauro21
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1459
Iscrizione: lunedì 27 febbraio 2006, 19:37
Distribuzione: ubuntu 12.10

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da mauro21 »

ho seguito la tua guida
come succede cn tutte le guide quando faccio apt-get update esce

Codice: Seleziona tutto

<mauro> Get:1 http://it.archive.ubuntu.com dapper Release.gpg [189B]
<mauro> Get:2 http://it.archive.ubuntu.com dapper-updates Release.gpg [189B]
<mauro> Hit http://it.archive.ubuntu.com dapper Release
<mauro> Get:3 http://xgl.compiz.info dapper Release.gpg [189B]
<mauro> Hit http://it.archive.ubuntu.com dapper-updates Release
<mauro> Hit http://xgl.compiz.info dapper Release
<mauro> Hit http://it.archive.ubuntu.com dapper/main Packages
<mauro> Hit http://it.archive.ubuntu.com dapper/restricted Packages
<mauro> Hit http://it.archive.ubuntu.com dapper/universe Packages
<mauro> Hit http://it.archive.ubuntu.com dapper/multiverse Packages
<mauro> Hit http://it.archive.ubuntu.com dapper/main Sources
<mauro> Hit http://it.archive.ubuntu.com dapper/restricted Sources
<mauro> Hit http://it.archive.ubuntu.com dapper/universe Packages
<mauro> Hit http://it.archive.ubuntu.com dapper/universe Sources
<mauro> Get:4 http://security.ubuntu.com dapper-security Release.gpg [189B]
<mauro> Hit http://it.archive.ubuntu.com dapper-updates/main Packages
<mauro> Hit http://it.archive.ubuntu.com dapper-updates/restricted Packages
<mauro> Hit http://it.archive.ubuntu.com dapper-updates/main Sources
<mauro> Hit http://it.archive.ubuntu.com dapper-updates/restricted Sources
<mauro> Ign http://xgl.compiz.info dapper/main Packages
<mauro> Hit http://security.ubuntu.com dapper-security Release
<mauro> Ign http://xgl.compiz.info dapper/main Sources
<mauro> Ign http://xgl.compiz.info dapper/main Packages
<mauro> Ign http://xgl.compiz.info dapper/main Sources
<mauro> Hit http://xgl.compiz.info dapper/main Packages
<mauro> Get:5 http://xgl.compiz.info dapper/main Sources [6966B]
<mauro> Hit http://xgl.compiz.info dapper/main Packages
<mauro> Hit http://security.ubuntu.com dapper-security/main Packages
<mauro> Get:6 http://xgl.compiz.info dapper/main Sources [6966B]
<mauro> 99% [In attesa degli header] [Accesso in corso] [In attesa degli header]
<mauro> gzip: stdin: not in gzip format
<mauro> Err http://xgl.compiz.info dapper/main Sources
<mauro>   Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> 99% [6 Sources gzip 0] [In attesa degli header] [Accesso in corso] [In attesa d
<mauro> gzip: stdin: not in gzip format
<mauro> Err http://xgl.compiz.info dapper/main Sources
<mauro>   Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> Hit http://security.ubuntu.com dapper-security/restricted Packages
<mauro> Hit http://security.ubuntu.com dapper-security/main Sources
<mauro> Hit http://security.ubuntu.com dapper-security/restricted Sources
<mauro> Get:7 http://www.beerorkid.com dapper Release.gpg [189B]
<mauro> Get:8 http://archive.ubuntu.com breezy Release.gpg [189B]
<mauro> Hit http://www.beerorkid.com dapper Release
<mauro> Hit http://archive.ubuntu.com breezy Release
<mauro> Hit http://archive.ubuntu.com breezy/universe Packages
<mauro> Ign http://www.beerorkid.com dapper/main Packages
<mauro> Hit http://archive.ubuntu.com breezy/multiverse Packages
<mauro> Get:9 ftp://archive.ubuntu.com breezy Release.gpg [189B]
<mauro> Ign http://www.beerorkid.com dapper/main Packages
<mauro> Get:10 http://www.beerorkid.com dapper/main Packages [12,7kB]
<mauro> 99% [10 Packages gzip 0] [9 Release.gpg 0/189B 0%] [In attesa degli header]
<mauro> gzip: stdin: not in gzip format
<mauro> Err http://www.beerorkid.com dapper/main Packages
<mauro>   Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> Get:11 http://www.beerorkid.com dapper/main Packages [12,7kB]
<mauro> 99% [9 Release.gpg 189/189B 100%]
<mauro> gzip: stdin: not in gzip format
<mauro> Err http://www.beerorkid.com dapper/main Packages
<mauro>   Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> Hit ftp://archive.ubuntu.com breezy Release
<mauro> Hit ftp://archive.ubuntu.com breezy/universe Sources
<mauro> Hit ftp://archive.ubuntu.com breezy/multiverse Sources
<mauro> Scaricato 387B in 2s (131B/s)
<mauro> Impossibile ottenere http://xgl.compiz.info/dists/dapper/main/source/Sources.gz  Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> Impossibile ottenere http://xgl.compiz.info/dists/dapper/main/source/Sources.gz  Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> Impossibile ottenere http://www.beerorkid.com/compiz/dists/dapper/main/binary-i386/Packages.gz  Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> Impossibile ottenere http://www.beerorkid.com/compiz/dists/dapper/main/binary-i386/Packages.gz  Il sottoprocesso gzip ha ritornato un codice d'errore (1)
<mauro> Lettura della lista dei pacchetti in corso... Fatto
<mauro> E: Impossibile scaricare alcune file di indice, essi verranno ignorati, oppure si useranno quelli precedenti.
te sai dirmi cos'è ke non va?
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da nickq »

Se vedi la scheramata b/n allora l'accelerazione grafica dovrebbe finzionare... per sicurezza poui controllare di non avere la scritta "Mesa" nell'output di

Codice: Seleziona tutto

fglrxinfo
Ti ho chiesto se avevi la versione a 64 bit perché in effetti a me tempo fa aveva dato problemi con XGl a causa dei pacchetti, ma la 32 bit non ha problemi.

Credo invece che il tuo problema sia causato dal file "/etc/gdm/gdm.conf-custom" che è stato modificato...
Prova a controllare e, se l'hai modificato, prova a riportarlo com'era in origine.
Avatar utente
telperion
Rampante Reduce
Rampante Reduce
Messaggi: 5407
Iscrizione: lunedì 10 luglio 2006, 18:20

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da telperion »

Con questa guida installi la versione Vanilla di Compiz.
Da NON CONFONDERE CON L'ULTIMO COMPIZ
che ha CSM e CGWD.

Immagine

Sono due cose diverse.

Ciao
Ultima modifica di telperion il domenica 10 settembre 2006, 16:58, modificato 1 volta in totale.
mauro21
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1459
Iscrizione: lunedì 27 febbraio 2006, 19:37
Distribuzione: ubuntu 12.10

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da mauro21 »

sono normalmente in ubuntu, non nella versione tipo terminal
ho fatto fglrxinfo nel terminal ma dice command not found
nel file ho aggiunto queste stringhe

Codice: Seleziona tutto

[servers]
# Override display 1 to use Xgl (DISPLAY 1 IMPORTANT FOR ATI FGLRX). 
0=Xgl 
[server-Xgl] 
name=Xgl server 
command=/usr/bin/Xgl :1 -fullscreen -ac -accel glx:pbuffer -accel xv:pbuffer
flexible=true
l'ho letto in + guide.
le elimino?
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da nickq »

per mauro21:
l'altra risposta non era per te ma per alexnavarro!
tu hai un problema con apt... per ora cerca di risovere quello!
prova a cercare questa stringa su google:

Codice: Seleziona tutto

apt "Il sottoprocesso gzip ha ritornato un codice d'errore (1)"

telperion:
se sai scrivere presuppongo tu sappia anche leggere, allora leggiti le prime due righe del terzo post di questo thread...
Questo perché avevi già installato la versione più recente (ed instabile) di compiz.
Allora, ce ne sono due: compiz (quella nuova) e compiz-vanilla (quella stabile).
Avatar utente
davbolla1993
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 507
Iscrizione: venerdì 24 marzo 2006, 17:11
Località: Italia
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da davbolla1993 »

mi puoi assicurare che funziona sulla ATI RADEON XPRESS 200M ?

avevo già provato un bel po di guide, ma tutte, il giorno dopo, crashava, si bloccava, dovevo spegnere dal pulsante, ecc...... (premessa: usavo AXGL xchè ho avuto qlc problemino con xgl)
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da nickq »

mi puoi assicurare che funziona sulla ATI RADEON XPRESS 200M ?
No! Non ti assicuro niente... comunque sto per provarlo oggi su un laptop con una ATi X600.
Se aspetti qualche ora ti so dire come va...

Ciao.


nickq
mauro21
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1459
Iscrizione: lunedì 27 febbraio 2006, 19:37
Distribuzione: ubuntu 12.10

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da mauro21 »

ho trovato ke ha a ke fare con i respository
succede da quando ho aggiunti i respository x compiz
li tolgo?
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da nickq »

succede da quando ho aggiunti i respository x compiz li tolgo?
se li togli non puoi più installare il software necessario a xgl... da quello che ho capito è un problema della rete (hai fastweb, per caso?)...
a me non è mai capitato, ho appena provato a dare

Codice: Seleziona tutto

sudo apt-get update
e non mi da alcun errore.
Per curiosità da quanti giorni stai provando?

Posta il risultato di:

Codice: Seleziona tutto

less /etc/apt/sources.list
Avatar utente
telperion
Rampante Reduce
Rampante Reduce
Messaggi: 5407
Iscrizione: lunedì 10 luglio 2006, 18:20

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da telperion »

nickq ha scritto:

telperion:
se sai scrivere presuppongo tu sappia anche leggere, allora leggiti le prime due righe del terzo post di questo thread...
Questo perché avevi già installato la versione più recente (ed instabile) di compiz.
Allora, ce ne sono due: compiz (quella nuova) e compiz-vanilla (quella stabile).
Mica per niente, siccome su Xgl il caos regna sovrano, precisavo che questa è la versione VANILLA cosa che ti suggerisco di mettere bene in evidenza nel primo post.
Solo per evitare ulteriori confusioni, nulla in contrario alla vanilla.

Ciao.
Avatar utente
davbolla1993
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 507
Iscrizione: venerdì 24 marzo 2006, 17:11
Località: Italia
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da davbolla1993 »

@nickq:
ok aspetto grazie.

@mauro21:
da quello che vedo è un problema con gzip , entra in synaptic e reinstalla il pacchetto GZIP (con tutte le varie dipendenze) in teoria dovrebbe fungere.
mauro21
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1459
Iscrizione: lunedì 27 febbraio 2006, 19:37
Distribuzione: ubuntu 12.10

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da mauro21 »

boh
sn andato in synaptic
ho disinstallato gzip
poi l'ho reinstallato
e non è cambiato nulla

alla fine dell'apt-get update esce sempre

Codice: Seleziona tutto

Hit http://af.archive.ubuntu.com dapper-backports/main Sources
99% [9 Packages gzip 0] [In attesa degli header]
gzip: stdin: not in gzip format
Err http://www.beerorkid.com dapper/main Packages
  Il sottoprocesso gzip ha ritornato un codice d'errore (1)
Hit http://af.archive.ubuntu.com dapper-backports/restricted Sources
Hit http://af.archive.ubuntu.com dapper-backports/universe Sources
Hit http://af.archive.ubuntu.com dapper-backports/multiverse Sources
Scaricato 9B in 1s (6B/s)
Impossibile ottenere http://www.beerorkid.com/compiz/dists/dapper/main/binary-i386/Packages.gz  Il sottoprocesso gzip ha ritornato un codice d'errore (1)
Lettura della lista dei pacchetti in corso... Fatto
E: Impossibile scaricare alcune file di indice, essi verranno ignorati, oppure si useranno quelli precedenti.
ke faccio?
Avatar utente
alexnavarro
Prode Principiante
Messaggi: 68
Iscrizione: sabato 27 maggio 2006, 10:04

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da alexnavarro »

nickq ha scritto: Se vedi la scheramata b/n allora l'accelerazione grafica dovrebbe finzionare... per sicurezza poui controllare di non avere la scritta "Mesa" nell'output di

Codice: Seleziona tutto

fglrxinfo
Ti ho chiesto se avevi la versione a 64 bit perché in effetti a me tempo fa aveva dato problemi con XGl a causa dei pacchetti, ma la 32 bit non ha problemi.

Credo invece che il tuo problema sia causato dal file "/etc/gdm/gdm.conf-custom" che è stato modificato...
Prova a controllare e, se l'hai modificato, prova a riportarlo com'era in origine.

le modifiche che ho fatto sono queste:
[servers]
# Override display 0 to use Xgl.
# Se avete schede ATI va messo 1 come valore
1=Xgl

[server-Xgl]
name=Xgl server
#la prima riga va bene per schede ATI
#la seconda va bene per schede nVidia
#command=/usr/bin/Xgl :1 -fullscreen -ac -accel glx:fbo -accel xv:fbo
flexible=true


dando fglrxinfo ottengo:

giovanni@ubuntu:~$ fglrxinfo
Error: unable to open display :0
giovanni@ubuntu:~$
ho tolto le righe di sopra .....niente
Avatar utente
nickq
Prode Principiante
Messaggi: 78
Iscrizione: lunedì 21 agosto 2006, 8:41
Contatti:

Re: XGL troppo facile per ATi ed NVidia!!

Messaggio da nickq »

alexnavarro:

ok, allora hai un problema con l'accelerazione video.
prova a seguire questo how-to per i drivers ati, è quello che uso io...
http://wiki.cchtml.com/index.php/Ubuntu_Dapper_Installation_Guide



davbolla1993:

Ti assicuro che con la x600 64MB del laptop è più stabile che sulla 9600 256MB che ho sul fisso.
Ora passo alle ottimizzazioni...



telperion:

XGL è uno solo: è di compiz che ce ne sono due. Questo thread parla di XGL, non di compiz/compiz-vanilla. Se uno vuole installare il compiz "unstable" lo può fare anche con questo metodo. Io personalmente lo sconsiglio, ma è solo la mia opinione...  :)
Ultima modifica di nickq il lunedì 11 settembre 2006, 16:05, modificato 1 volta in totale.
Scrivi risposta

Ritorna a “Personalizzazione dell'ambiente desktop”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 0 ospiti